### Function

# GLib PtrArray ref

since: 2.22

#### Declaration

    GPtrArray*
    g_ptr_array_ref (
      GPtrArray* array
    )

#### Description

Atomically increments the reference count of `array` by one. This function is thread-safe and may be called from any thread.

Available since: 2.22

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GPtrArray`.

  The data is owned by the caller of the function.

#### Return value

Type: An array of `gpointer`

The passed in `GPtrArray`.

The data is owned by the called function.